/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.assira.collection.list;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 * @param <T>
 */
public abstract class VirtualArray<T> extends VirtualList<T> {
    
    private static final long serialVersionUID = 1L;
    
    private final int size;

    public VirtualArray(int size) {
        this.size = size;
    }

    @Override
    public final int size() {
        return size;
    }
    
}
